Bug 518751 - System freeze with forcedeth kernel module
Summary: System freeze with forcedeth kernel module
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-22 10:24 UTC by Dennis de Vaal
Modified: 2010-06-28 14:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:14:18 UTC


Attachments (Terms of Use)

Description Dennis de Vaal 2009-08-22 10:24:46 UTC
Description of problem:

My system becomes very unstable (hang) or will completely freeze forcing me to reset the machine.

My network interfaces also don't work anymore.

I tried bringing the interface down and up with ifconfig but all network interfaces are completely dead and I have to reboot to get network connectivity back.

This happens when I come back after 1) suspending my machine to ram via KDE - Leave - Suspend to RAM. 2) Disabling my onboard ethernet interface from the BIOS.

I have also noticed very strange side effects when these problems are occurring. KDE disables Desktop Effects saying the system is too slow and dmesg reports XID collisions. Now this __doesn't__ happen when I don't use the interfaces at all and I __don't__ have them disabled in the BIOS.

My motherboard has the latest BIOS revision and I have tested all hardware: memory, PSU, harddisks, cabling, temperature, disks no problems found at all.

I have found a temporary solution: blacklist the forcedeth kernel module and don't use the onboard network interfaces.

Hardware:

00:00.0 Host bridge: nVidia Corporation C55 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.2 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.3 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.4 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.5 RAM memory: nVidia Corporation C55 Memory Controller (rev a2)
00:00.6 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.7 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.0 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.1 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.2 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.3 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.4 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.5 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.6 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:02.0 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:02.1 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:02.2 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:03.0 PCI bridge: nVidia Corporation C55 PCI Express bridge (rev a1)
00:09.0 RAM memory: nVidia Corporation MCP55 Memory Controller (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP55 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP55 SMBus (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP55 USB Controller (rev a1)
00:0b.1 USB Controller: nVidia Corporation MCP55 USB Controller (rev a2)
00:0d.0 IDE interface: nVidia Corporation MCP55 IDE (rev a1)
00:0e.0 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a3)
00:0e.1 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a3)
00:0e.2 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a3)
00:0f.0 PCI bridge: nVidia Corporation MCP55 PCI bridge (rev a2)
00:0f.1 Audio device: nVidia Corporation MCP55 High Definition Audio (rev a2)
00:11.0 Bridge: nVidia Corporation MCP55 Ethernet (rev a3)
00:12.0 Bridge: nVidia Corporation MCP55 Ethernet (rev a3)
01:00.0 PCI bridge: nVidia Corporation Device 05b1 (rev a2)
02:00.0 PCI bridge: nVidia Corporation Device 05b1 (rev a2)
02:02.0 PCI bridge: nVidia Corporation Device 05b1 (rev a2)
03:00.0 VGA compatible controller: nVidia Corporation GeForce 8800 GT (rev a2)
05:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
05:0b.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller (rev c0)

The following messages are logged to /var/log/dmesg and /var/log/messages:

Aug 20 11:42:19 diaspora kernel: Pid: 0, comm: swapper Tainted: P           2.6.29.6-217.2.8.fc11.x86_64 #1
Aug 20 11:42:19 diaspora kernel: Call Trace:
Aug 20 11:42:19 diaspora kernel: <IRQ>  [<ffffffff8108d181>] __report_bad_irq+0x3d/0x8c
Aug 20 11:42:19 diaspora kernel: [<ffffffff8108d2e8>] note_interrupt+0x118/0x17c
Aug 20 11:42:19 diaspora kernel: [<ffffffff8108d9ab>] handle_fasteoi_irq+0xa7/0xde
Aug 20 11:42:19 diaspora kernel: [<ffffffff81013ba4>] do_IRQ+0xd9/0x151
Aug 20 11:42:19 diaspora kernel: [<ffffffff81011e93>] ret_from_intr+0x0/0x2e
Aug 20 11:42:19 diaspora kernel: <EOI>  [<ffffffff81017c0a>] ? mwait_idle+0x9e/0xc7
Aug 20 11:42:19 diaspora kernel: [<ffffffff81017c01>] ? mwait_idle+0x95/0xc7
Aug 20 11:42:19 diaspora kernel: [<ffffffff813af519>] ? atomic_notifier_call_chain+0x13/0x15
Aug 20 11:42:19 diaspora kernel: [<ffffffff81010237>] ? enter_idle+0x27/0x29
Aug 20 11:42:19 diaspora kernel: [<ffffffff810102a1>] ? cpu_idle+0x68/0xb3
Aug 20 11:42:19 diaspora kernel: [<ffffffff81398367>] ? rest_init+0x6b/0x6d
Aug 20 11:42:19 diaspora kernel: handlers:
Aug 20 11:42:19 diaspora kernel: [<ffffffffa0000f15>] (nv_swncq_interrupt+0x0/0x6a1 [sata_nv])
Aug 20 11:42:19 diaspora kernel: Disabling IRQ #21

Aug 21 11:43:11 diaspora kernel: Pid: 0, comm: swapper Tainted: P           2.6.29.6-217.2.8.fc11.x86_64 #1
Aug 21 11:43:11 diaspora kernel: Call Trace:
Aug 21 11:43:11 diaspora kernel: <IRQ>  [<ffffffff81048843>] warn_slowpath+0xbc/0xf0
Aug 21 11:43:11 diaspora kernel: [<ffffffff813ac88c>] ? _spin_unlock_irqrestore+0x2c/0x42
Aug 21 11:43:11 diaspora kernel: [<ffffffff81039604>] ? task_rq_unlock+0x11/0x13
Aug 21 11:43:11 diaspora kernel: [<ffffffff81040568>] ? try_to_wake_up+0x25b/0x26d
Aug 21 11:43:11 diaspora kernel: [<ffffffff8104058c>] ? default_wake_function+0x12/0x14
Aug 21 11:43:11 diaspora kernel: [<ffffffff8105c929>] ? autoremove_wake_function+0x16/0x39
Aug 21 11:43:11 diaspora kernel: [<ffffffff810379ac>] ? __wake_up_common+0x4e/0x84
Aug 21 11:43:11 diaspora kernel: [<ffffffff813ac88c>] ? _spin_unlock_irqrestore+0x2c/0x42
Aug 21 11:43:11 diaspora kernel: [<ffffffff813ac642>] ? _spin_lock+0xe/0x11
Aug 21 11:43:11 diaspora kernel: [<ffffffff813221cd>] dev_watchdog+0xcf/0x12c
Aug 21 11:43:11 diaspora kernel: [<ffffffff810596d3>] ? __queue_work+0x3a/0x42
Aug 21 11:43:11 diaspora kernel: [<ffffffff813ac9a7>] ? _spin_lock_irq+0x27/0x2a
Aug 21 11:43:11 diaspora kernel: [<ffffffff81051e7f>] run_timer_softirq+0x19e/0x224
Aug 21 11:43:11 diaspora kernel: [<ffffffff810630d0>] ? getnstimeofday+0x5f/0xb3
Aug 21 11:43:11 diaspora kernel: [<ffffffff8104df7f>] __do_softirq+0x94/0x155
Aug 21 11:43:11 diaspora kernel: [<ffffffff8101274c>] call_softirq+0x1c/0x30
Aug 21 11:43:11 diaspora kernel: [<ffffffff810138ce>] do_softirq+0x52/0xb9
Aug 21 11:43:11 diaspora kernel: [<ffffffff8104dba2>] irq_exit+0x53/0x90
Aug 21 11:43:11 diaspora kernel: [<ffffffff81022464>] smp_apic_timer_interrupt+0x8e/0xa7
Aug 21 11:43:11 diaspora kernel: [<ffffffff81012123>] apic_timer_interrupt+0x13/0x20
Aug 21 11:43:11 diaspora kernel: <EOI>  [<ffffffff81017c0a>] ? mwait_idle+0x9e/0xc7
Aug 21 11:43:11 diaspora kernel: [<ffffffff81017c01>] ? mwait_idle+0x95/0xc7
Aug 21 11:43:11 diaspora kernel: [<ffffffff813af519>] ? atomic_notifier_call_chain+0x13/0x15
Aug 21 11:43:11 diaspora kernel: [<ffffffff81010237>] ? enter_idle+0x27/0x29
Aug 21 11:43:11 diaspora kernel: [<ffffffff810102a1>] ? cpu_idle+0x68/0xb3
Aug 21 11:43:11 diaspora kernel: [<ffffffff81398367>] ? rest_init+0x6b/0x6d
Aug 21 11:43:11 diaspora kernel: ---[ end trace d3e9487ca225e5a6 ]---

Aug 21 11:43:11 diaspora kernel: eth1: Got tx_timeout. irq: 00000072
Aug 21 11:43:11 diaspora kernel: eth1: Ring at 2584e2000
Aug 21 11:43:11 diaspora kernel: eth1: Dumping tx registers

Aug 21 11:43:11 diaspora kernel: eth1: Dumping tx ring
Aug 21 11:43:11 diaspora kernel: 000: 00000002 481d6002 2000005e // 00000002 1fc25402 20000052 // 00000002 481d6802 2000005e // 00000002 1fc25002 2000004a
Aug 21 11:43:11 diaspora kernel: 004: 00000002 49f02810 2000015a // 00000002 1fc24002 2000004a // 00000002 49f02010 2000015a // 00000002 1fc27802 2000004a
Aug 21 11:43:11 diaspora kernel: 008: 00000002 49f00410 2000015a // 00000002 49f02410 2000015a // 00000002 49f03c10 2000015a // 00000002 41167c10 2000015a
Aug 21 11:43:11 diaspora kernel: 00c: 00000002 41166012 20000042 // 00000002 41166412 20000042 // 00000002 41167812 20000042 // 00000002 41167412 20000042
Aug 21 11:43:11 diaspora kernel: 010: 00000002 4736e412 2000003d // 00000002 4736c812 2000003d // 00000002 4736dc12 2000003b // 00000002 4736c012 2000004b

Aug 22 02:39:24 diaspora kernel: NVRM: Xid (0003:00): 16, Head 00000000 Count 00001c67
Aug 22 02:39:38 diaspora kernel: NVRM: Xid (0003:00): 16, Head 00000000 Count 00001c71
Aug 22 02:39:54 diaspora kernel: NVRM: Xid (0003:00): 16, Head 00000000 Count 00001c7b
Aug 22 02:40:02 diaspora kernel: NVRM: Xid (0003:00): 16, Head 00000000 Count 00001c7c
Aug 22 02:40:10 diaspora kernel: NVRM: Xid (0003:00): 16, Head 00000000 Count 00001c7d
Aug 22 02:40:18 diaspora kernel: NVRM: Xid (0003:00): 16, Head 00000000 Count 00001c7e

How reproducible:

Suspend to ram.
Disabling onboard network interfaces from the BIOS.

Actual results:

Complete system freeze.

Comment 1 Dennis de Vaal 2009-08-22 11:01:00 UTC
Some more details:

Motherboard: ASUS Striker II Formula
Memory: 8GB
CPU: Intel Core 2 Quad Q6600 (G0) 

00:00.0 Host bridge: nVidia Corporation C55 Host Bridge (rev a2)
        Flags: bus master, 66MHz, fast devsel, latency 0        
        Capabilities: <access denied>                           

00:00.1 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    

00:00.2 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    

00:00.3 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: bus master, 66MHz, fast devsel, latency 0             

00:00.4 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: bus master, 66MHz, fast devsel, latency 0             

00:00.5 RAM memory: nVidia Corporation C55 Memory Controller (rev a2)
        Flags: bus master, 66MHz, fast devsel, latency 0             

00:00.6 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    

00:00.7 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    

00:01.0 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    

00:01.1 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    

00:01.2 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    

00:01.3 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    

00:01.4 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    
                                                                                                                                                                                                               
00:01.5 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)                                                                                                                                          
        Flags: 66MHz, fast devsel                                                                                                                                                                              
                                                                                                                                                                                                               
00:01.6 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)                                                                                                                                          
        Flags: 66MHz, fast devsel                                                                                                                                                                              
                                                                                                                                                                                                               
00:02.0 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)                                                                                                                                          
        Flags: 66MHz, fast devsel                                                                                                                                                                              
                                                                                                                                                                                                               
00:02.1 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)                                                                                                                                          
        Flags: bus master, 66MHz, fast devsel, latency 0                                                                                                                                                       

00:02.2 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
        Flags: 66MHz, fast devsel                                    

00:03.0 PCI bridge: nVidia Corporation C55 PCI Express bridge (rev a1) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0                                                  
        Bus: primary=00, secondary=01, subordinate=04, sec-latency=0                               
        I/O behind bridge: 0000c000-0000dfff                                                       
        Memory behind bridge: e8000000-edffffff                                                    
        Prefetchable memory behind bridge: 00000000a0000000-00000000dfffffff                       
        Capabilities: <access denied>                                                              
        Kernel driver in use: pcieport-driver                                                      
        Kernel modules: shpchp                                                                     

00:09.0 RAM memory: nVidia Corporation MCP55 Memory Controller (rev a2)
        Subsystem: ASUSTeK Computer Inc. Device cb84                   
        Flags: bus master, 66MHz, fast devsel, latency 0               
        Capabilities: <access denied>                                  

00:0a.0 ISA bridge: nVidia Corporation MCP55 LPC Bridge (rev a3)
        Subsystem: ASUSTeK Computer Inc. Device cb84            
        Flags: bus master, 66MHz, fast devsel, latency 0        

00:0a.1 SMBus: nVidia Corporation MCP55 SMBus (rev a3)
        Subsystem: ASUSTeK Computer Inc. Device cb84  
        Flags: 66MHz, fast devsel, IRQ 5              
        I/O ports at ff00 [size=64]                   
        I/O ports at 1c00 [size=64]                   
        I/O ports at 1c80 [size=64]                   
        Capabilities: <access denied>                 
        Kernel modules: i2c-nforce2                   

00:0b.0 USB Controller: nVidia Corporation MCP55 USB Controller (rev a1) (prog-if 10 [OHCI])
        Subsystem: ASUSTeK Computer Inc. Device cb84                                        
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22                            
        Memory at effff000 (32-bit, non-prefetchable) [size=4K]                             
        Capabilities: <access denied>                                                       
        Kernel driver in use: ohci_hcd                                                      

00:0b.1 USB Controller: nVidia Corporation MCP55 USB Controller (rev a2) (prog-if 20 [EHCI])
        Subsystem: ASUSTeK Computer Inc. Device cb84                                        
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23                            
        Memory at efffe000 (32-bit, non-prefetchable) [size=256]                            
        Capabilities: <access denied>                                                       
        Kernel driver in use: ehci_hcd                                                      

00:0d.0 IDE interface: nVidia Corporation MCP55 IDE (rev a1) (prog-if 8a [Master SecP PriP])
        Subsystem: ASUSTeK Computer Inc. Device cb84                                        
        Flags: bus master, 66MHz, fast devsel, latency 0                                    
        [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]                    
        [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]                    
        [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]                    
        [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]                    
        I/O ports at fc00 [size=16]                                                         
        Capabilities: <access denied>                                                       
        Kernel driver in use: pata_amd                                                      
        Kernel modules: ata_generic, pata_acpi, pata_amd                                    

00:0e.0 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a3) (prog-if 85 [Master SecO PriO])
        Subsystem: ASUSTeK Computer Inc. Device cb84                                                    
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21                                        
        I/O ports at 09f0 [size=8]                                                                      
        I/O ports at 0bf0 [size=4]                                                                      
        I/O ports at 0970 [size=8]                                                                      
        I/O ports at 0b70 [size=4]                                                                      
        I/O ports at f700 [size=16]                                                                     
        Memory at efffd000 (32-bit, non-prefetchable) [size=4K]                                         
        Capabilities: <access denied>                                                                   
        Kernel driver in use: sata_nv                                                                   
        Kernel modules: ata_generic, pata_acpi, sata_nv                                                 

00:0e.1 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a3) (prog-if 85 [Master SecO PriO])
        Subsystem: ASUSTeK Computer Inc. Device cb84                                                    
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20                                        
        I/O ports at 09e0 [size=8]                                                                      
        I/O ports at 0be0 [size=4]                                                                      
        I/O ports at 0960 [size=8]                                                                      
        I/O ports at 0b60 [size=4]                                                                      
        I/O ports at f200 [size=16]                                                                     
        Memory at efffc000 (32-bit, non-prefetchable) [size=4K]                                         
        Capabilities: <access denied>                                                                   
        Kernel driver in use: sata_nv                                                                   
        Kernel modules: ata_generic, pata_acpi, sata_nv                                                 

00:0e.2 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a3) (prog-if 85 [Master SecO PriO])
        Subsystem: ASUSTeK Computer Inc. Device cb84                                                    
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23                                        
        I/O ports at f100 [size=8]                                                                      
        I/O ports at f000 [size=4]                                                                      
        I/O ports at ef00 [size=8]                                                                      
        I/O ports at ee00 [size=4]                                                                      
        I/O ports at ed00 [size=16]                                                                     
        Memory at efffb000 (32-bit, non-prefetchable) [size=4K]                                         
        Capabilities: <access denied>                                                                   
        Kernel driver in use: sata_nv                                                                   
        Kernel modules: ata_generic, pata_acpi, sata_nv                                                 

00:0f.0 PCI bridge: nVidia Corporation MCP55 PCI bridge (rev a2) (prog-if 01 [Subtractive decode])
        Flags: bus master, 66MHz, fast devsel, latency 0                                          
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=32                             
        I/O behind bridge: 0000b000-0000bfff                                                      
        Memory behind bridge: efd00000-efdfffff                                                   
        Prefetchable memory behind bridge: efe00000-efefffff                                      
        Capabilities: <access denied>                                                             

00:0f.1 Audio device: nVidia Corporation MCP55 High Definition Audio (rev a2)
        Subsystem: ASUSTeK Computer Inc. Device 829c                         
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22             
        Memory at efff0000 (32-bit, non-prefetchable) [size=16K]             
        Capabilities: <access denied>                                        
        Kernel driver in use: HDA Intel                                      
        Kernel modules: snd-hda-intel                                        

00:11.0 Bridge: nVidia Corporation MCP55 Ethernet (rev a3)
        Subsystem: ASUSTeK Computer Inc. Device cb84      
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 10
        Memory at efffa000 (32-bit, non-prefetchable) [size=4K] 
        I/O ports at ec00 [size=8]                              
        Memory at efff9000 (32-bit, non-prefetchable) [size=256]
        Memory at efff8000 (32-bit, non-prefetchable) [size=16] 
        Capabilities: <access denied>                           
        Kernel modules: forcedeth                               

00:12.0 Bridge: nVidia Corporation MCP55 Ethernet (rev a3)
        Subsystem: ASUSTeK Computer Inc. Device cb84      
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 11
        Memory at efff7000 (32-bit, non-prefetchable) [size=4K] 
        I/O ports at eb00 [size=8]                              
        Memory at efff6000 (32-bit, non-prefetchable) [size=256]
        Memory at efff5000 (32-bit, non-prefetchable) [size=16] 
        Capabilities: <access denied>                           
        Kernel modules: forcedeth                               

01:00.0 PCI bridge: nVidia Corporation Device 05b1 (rev a2) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0                                       
        Bus: primary=01, secondary=02, subordinate=04, sec-latency=0                    
        I/O behind bridge: 0000c000-0000dfff                                            
        Memory behind bridge: e8000000-edffffff                                         
        Prefetchable memory behind bridge: 00000000a0000000-00000000dfffffff            
        Capabilities: <access denied>                                                   
        Kernel driver in use: pcieport-driver                                           
        Kernel modules: shpchp                                                          

02:00.0 PCI bridge: nVidia Corporation Device 05b1 (rev a2) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=02, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: e8000000-ebffffff
        Prefetchable memory behind bridge: 00000000a0000000-00000000bfffffff
        Capabilities: <access denied>
        Kernel driver in use: pcieport-driver
        Kernel modules: shpchp

02:02.0 PCI bridge: nVidia Corporation Device 05b1 (rev a2) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=02, secondary=04, subordinate=04, sec-latency=0
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: edf00000-edffffff
        Prefetchable memory behind bridge: 00000000dff00000-00000000dfffffff
        Capabilities: <access denied>
        Kernel driver in use: pcieport-driver
        Kernel modules: shpchp

03:00.0 VGA compatible controller: nVidia Corporation GeForce 8800 GT (rev a2) (prog-if 00 [VGA controller])
        Subsystem: XFX Pine Group Inc. Device 2333
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at ea000000 (32-bit, non-prefetchable) [size=16M]
        Memory at a0000000 (64-bit, prefetchable) [size=512M]
        Memory at e8000000 (64-bit, non-prefetchable) [size=32M]
        I/O ports at dc00 [size=128]
        [virtual] Expansion ROM at ebfe0000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: nvidia
        Kernel modules: nvidia, nouveau

05:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
        Subsystem: Unex Technology Corp. ND010/ND012
        Flags: bus master, medium devsel, latency 32, IRQ 16
        I/O ports at bc00 [size=256]
        Memory at efdff000 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>
        Kernel driver in use: 8139too
        Kernel modules: 8139too, 8139cp

05:0b.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller (rev c0) (prog-if 10 [OHCI])
        Subsystem: ASUSTeK Computer Inc. Device 81fe
        Flags: bus master, medium devsel, latency 32, IRQ 19
        Memory at efdfe000 (32-bit, non-prefetchable) [size=2K]
        I/O ports at b800 [size=128]
        Capabilities: <access denied>
        Kernel driver in use: firewire_ohci
        Kernel modules: firewire-ohci

Comment 2 Dennis de Vaal 2009-08-22 11:06:52 UTC
It is important to note that the network interfaces shouldn't be disabled in the BIOS. When they are disabled the system will become unstable. Loading the kernel module forcedeth doesn't really matter.

Comment 3 Dennis de Vaal 2009-08-22 11:42:31 UTC
It seems the problems are now occuring randomly.

Aug 22 13:32:16 diaspora kernel: WARNING: at net/sched/sch_generic.c:226 dev_watchdog+0xcf/0x12c() (Tainted: P          )
Aug 22 13:32:16 diaspora kernel: Hardware name: System Product Name
Aug 22 13:32:16 diaspora kernel: NETDEV WATCHDOG: eth2 (8139too): transmit timed out
Aug 22 13:32:16 diaspora kernel: Modules linked in: sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath vboxnetflt vboxdrv snd_hda_codec_analog nvidia(P) snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer firewire_ohci snd firewire_core soundcore 8139too snd_page_alloc i2c_nforce2 crc_itu_t 8139cp asus_atk0110 i2c_core mii pata_amd hwmon floppy serio_raw pcspkr joydev ata_generic pata_acpi sata_nv [last unloaded: microcode]
Aug 22 13:32:16 diaspora kernel: Pid: 0, comm: swapper Tainted: P           2.6.29.6-217.2.8.fc11.x86_64 #1
Aug 22 13:32:16 diaspora kernel: Call Trace:
Aug 22 13:32:16 diaspora kernel: <IRQ>  [<ffffffff81048843>] warn_slowpath+0xbc/0xf0
Aug 22 13:32:16 diaspora kernel: [<ffffffff81016fed>] ? read_tsc+0x9/0x1a
Aug 22 13:32:16 diaspora kernel: [<ffffffff813ac642>] ? _spin_lock+0xe/0x11
Aug 22 13:32:16 diaspora kernel: [<ffffffff813221cd>] dev_watchdog+0xcf/0x12c
Aug 22 13:32:16 diaspora kernel: [<ffffffff81051c0e>] ? internal_add_timer+0xcf/0xd1
Aug 22 13:32:16 diaspora kernel: [<ffffffff81051cc7>] ? cascade+0x6a/0x84
Aug 22 13:32:16 diaspora kernel: [<ffffffff81051e7f>] run_timer_softirq+0x19e/0x224
Aug 22 13:32:16 diaspora kernel: [<ffffffff810630d0>] ? getnstimeofday+0x5f/0xb3
Aug 22 13:32:16 diaspora kernel: [<ffffffff8104df7f>] __do_softirq+0x94/0x155
Aug 22 13:32:16 diaspora kernel: [<ffffffff8101274c>] call_softirq+0x1c/0x30
Aug 22 13:32:16 diaspora kernel: [<ffffffff810138ce>] do_softirq+0x52/0xb9
Aug 22 13:32:16 diaspora kernel: [<ffffffff8104dba2>] irq_exit+0x53/0x90
Aug 22 13:32:16 diaspora kernel: [<ffffffff81022464>] smp_apic_timer_interrupt+0x8e/0xa7
Aug 22 13:32:16 diaspora kernel: [<ffffffff81012123>] apic_timer_interrupt+0x13/0x20
Aug 22 13:32:16 diaspora kernel: <EOI>  [<ffffffff81017c0a>] ? mwait_idle+0x9e/0xc7
Aug 22 13:32:16 diaspora kernel: [<ffffffff81017c01>] ? mwait_idle+0x95/0xc7
Aug 22 13:32:16 diaspora kernel: [<ffffffff813af519>] ? atomic_notifier_call_chain+0x13/0x15
Aug 22 13:32:16 diaspora kernel: [<ffffffff81010237>] ? enter_idle+0x27/0x29
Aug 22 13:32:16 diaspora kernel: [<ffffffff810102a1>] ? cpu_idle+0x68/0xb3
Aug 22 13:32:16 diaspora kernel: [<ffffffff813a68a8>] ? start_secondary+0x199/0x19e
Aug 22 13:32:16 diaspora kernel: ---[ end trace 9321d19d88de599e ]---
Aug 22 13:32:17 diaspora kernel: NVRM: Xid (0003:00): 16, Head 00000000 Count 000dfe84

Comment 4 Dennis de Vaal 2009-08-22 21:35:21 UTC
It seems the realtek NIC which I use to bypass my onboard NIC's was causing the above. I removed the card and now i'm using the onboard nvidia NIC's again. (The IRQ disabling (upon wakeup from suspend) and associating XID errors still continue though.)

Comment 5 Bug Zapper 2010-04-28 09:53:44 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-06-28 14:14:18 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.